org.fourthline.cling.model.types

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - org.fourthline.cling.model.types.ErrorCode

- All Implemented Interfaces:
    Serializable, Comparable<ErrorCode>

      public enum ErrorCode
      extends Enum<ErrorCode>

  Basic UPnP control message error codes.
  Author:
    Christian Bauer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_FAILED`
    `ACTION_NOT_AUTHORIZED`
    `ARGUMENT_TOO_LONG`
    `ARGUMENT_VALUE_INVALID`
    `ARGUMENT_VALUE_OUT_OF_RANGE`
    `HUMAN_INTERVENTION_REQUIRED`
    `ILLEGAL_MIME_TYPE`
    `INVALID_ACTION`
    `INVALID_ARGS`
    `INVALID_CONTROL_URL`
    `INVALID_SEQUENCE`
    `NO_SUCH_SESSION`
    `NOT_ENCRYPTED`
    `OPTIONAL_ACTION`
    `OUT_OF_MEMORY`
    `SIGNATURE_FAILURE`
    `SIGNATURE_MISSING`
    `TRANSPORT_LOCKED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorCode` | `getByCode(int code)`
    `int` | `getCode()`
    `String` | `getDescription()`
    `static ErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID_ACTION

          public static final ErrorCode INVALID_ACTION

    - #### INVALID_ARGS

          public static final ErrorCode INVALID_ARGS

    - #### ACTION_FAILED

          public static final ErrorCode ACTION_FAILED

    - #### ARGUMENT_VALUE_INVALID

          public static final ErrorCode ARGUMENT_VALUE_INVALID

    - #### ARGUMENT_VALUE_OUT_OF_RANGE

          public static final ErrorCode ARGUMENT_VALUE_OUT_OF_RANGE

    - #### OPTIONAL_ACTION

          public static final ErrorCode OPTIONAL_ACTION

    - #### OUT_OF_MEMORY

          public static final ErrorCode OUT_OF_MEMORY

    - #### HUMAN_INTERVENTION_REQUIRED

          public static final ErrorCode HUMAN_INTERVENTION_REQUIRED

    - #### ARGUMENT_TOO_LONG

          public static final ErrorCode ARGUMENT_TOO_LONG

    - #### ACTION_NOT_AUTHORIZED

          public static final ErrorCode ACTION_NOT_AUTHORIZED

    - #### SIGNATURE_FAILURE

          public static final ErrorCode SIGNATURE_FAILURE

    - #### SIGNATURE_MISSING

          public static final ErrorCode SIGNATURE_MISSING

    - #### NOT_ENCRYPTED

          public static final ErrorCode NOT_ENCRYPTED

    - #### INVALID_SEQUENCE

          public static final ErrorCode INVALID_SEQUENCE

    - #### INVALID_CONTROL_URL

          public static final ErrorCode INVALID_CONTROL_URL

    - #### NO_SUCH_SESSION

          public static final ErrorCode NO_SUCH_SESSION

    - #### TRANSPORT_LOCKED

          public static final ErrorCode TRANSPORT_LOCKED

    - #### ILLEGAL_MIME_TYPE

          public static final ErrorCode ILLEGAL_MIME_TYPE

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getDescription

          public String getDescription()

    - #### getByCode

          public static ErrorCode getByCode(int code)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.